#{extends 'border.html'/}

<div class="container">
#{form "#", method:'POST', class:'form-horizontal save', enctype:'multipart/form-data'}
    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{katalog.PermohonanPembaruanCtr.index()}">&{'permohonan_pembaruan.label'}</a></li>
                <li class="active">&{'tambah.label'} &{'permohonan.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <!-- Toolbar -->
    <div class="row">
        <div class="col-md-12">
            <div class="toolbar">
                #{backButton action:@katalog.PermohonanPembaruanCtr.index()/}
            </div>
            #{alert /}
        </div>
    </div>
    <!-- End Toolbar -->

    <div class="row">
        <div class="alert-container"></div>
        <div class="panel panel-default">
        <div class="panel-body">
            <div class="row">
                <div class="form-group">
                    <label class="col-sm-2 control-label">Lampiran</label>
                    <div class="col-sm-6">
                        <button type="button" id="addFile" class="btn btn-primary"><i class="fa fa-plus"></i>&{"tambah_lampiran.label"}</button>
                    </div>
                </div>
                <div id="progressFile" class="progress" style="display: none;">
                    <div class="progress-bar progress-bar-success"></div>
                </div>

                <div class="form-group" id="lampiran" ${!produk?.documents?.isEmpty() ? "style=\"display: none;\"" : ""} >
                    <div id="alert-upload" style="margin-top: 10px;"></div>
                    <div class="col-md-2"></div>
                    <div class="col-md-4">
                        <ul id="files" class="row list-group files">
                            #{list produk?.documents, as:'doc'}
                                <li class="list-group-item">
                                    <div class="row">
                                        <div class="dok-file col-md-10">
                                        ${doc.original_file_name}
                                        </div>
                                        <div class="col-md-5">
                                            #{if !org.apache.http.util.TextUtils.isEmpty(doc.getDownloadUrlFromBlob())}
                                                <a href="${doc.getDownloadUrlFromBlob()}" ><i class="fa fa-download" ></i></a>&nbsp;
                                            #{/if}
                                            *{untuk disini yang dikirm adalah id dok lampiran}*
                                            <a href="javascript:void(0)" class="removeDok pull-right" versi="" fileId="${doc.id}"><i class="fa fa-trash-o" ></i></a>
                                        </div>
                                    </div>
                                </li>
                            #{/list}
                        </ul>
                    </div>
                </div>
                <input id="fileupload" type="file" name="file" style="visibility: hidden;">
            </div>
        </div>
        </div>
    </div>
    <input type="hidden" id="pmbid" name="pmbid" value="${pmb?.id}">
#{/form}
</div>

#{set 'moreScripts'}
<script type="text/javascript" src="@{'public/javascripts/toast/jquery.toast.min.js'}"></script>
<script type="text/javascript" src="@{'public/javascripts/bootstrap-notify.min.js'}"></script>

<script type="text/javascript">
    jQuery(document).ready(function () {

        $(document).on('click', '.removeDok', function(){
            var versi = $(this).attr('versi');
            var parent = $(this).parent();
            var fileId = $(this).attr('fileId');
            var pmbid = $('#pmbid').val();

            $.ajax({
                type: 'POST',
                url: '@{katalog.PermohonanPembaruanCtr.hapusProdukLampiran()}',
                data : {'fileId': fileId, 'pmbid': pmbid},
                success : function(data){

                    if(data.status == 1){
                        $(parent).parent().parent().remove();
                        showMessageSuccess(true,"File Lampiran, telah terhapus");
                        showMessageSuccess(false,'');
                    }else{
                        showMessageSuccess(true,"Gagal hapus File Lampiran, cek koneksi anda.");
                        showMessageSuccess(false,'');
                    }

                },
                error : function(){
                    $('#alert-upload').html('<div class="alert alert-danger" role="alert">File tidak bisa dihapus</div>');
                }
            })
        });

        function showMessageSuccess(status, message) {
            if (status) {
                $('.alert-container').html('<div class="alert alert-success fade in">\n' + message + '</div>');
                setTimeout(function() {
                    container.html('');
                }, 5000);
            } else {
                $('.alert-container').html('');
            }
            setTimeout(location.reload.bind(location), 1000);
        }

        function showToast(message) {
            jQuery.toast({
                heading: 'Oops',
                text: message,
                position: 'bottom-center',
                stack: false,
                icon: 'error',
                hideAfter: 6000
            })
            setTimeout(location.reload.bind(location), 1000);
        }

        $(document).on('click', '#addFile', function(){
            $("#fileupload").click();
        });

        $(document).on('click', '#fileupload', function(){
            $('#fileupload').fileupload({
                url: '@{katalog.PermohonanPembaruanCtr.uploadLampiran()}',
                formData: {produkId: $('#product-id').val(), pmbid: $('#pmbid').val()},
                dataType: 'json',
                acceptFileTypes: /(\.|\/)(txt|doc|docx|xls|xlsx|pdf|zip|rar|rtf|jpe?g|png)$/i,
                fail: function (e, data) {
                    setTimeout(location.reload.bind(location), 1000);
                },done: function (e, data) {
                    $.each(data.result.files, function (index, file) {
                        var content = '<div class="row"><div class="col-md-10 dok-file">'+file.name +'</div>' +
                                ' <div class="col-md-5">'+'<a href="'+ file.download_url +'" ><i class="fa fa-download" ></i></a>&nbsp;'
                                +'<a href="javascript:void(0)" class="removeDok pull-right" versi="'+file.versi+'" fileId="'+file.id+'">' +
                                '<i class="fa fa-trash-o" ></i>' +
                                '</a></div></div>' +
                                '<input type="hidden" name="model.file_id" value="' + file.id + '">';
                        $('<li/>').addClass('list-group-item').html(content).appendTo('#files');
                    });

                    $("#lampiran").show();
                    $('#progressFile').hide();
                    $('#alert-upload').hide();

                    if (data.result.errorx != null){
                        //$('#alert-upload').attr('class', 'alert alert-danger').html("&{'paket.upload_failed'}");
                        //alert("&{'paket.upload_failed'}");
                        showToast("&{'paket.upload_failed'}");
                    }
                    setTimeout(location.reload.bind(location), 1000);
                },
                error: function (jqXHR, exception) {
                    //alert(jqXHR.status);
                    var msg = '';
                    if (jqXHR.status === 0) {
                        msg = 'Not connect.\n Verify Network.';
                    } else if (jqXHR.status == 404) {
                        msg = 'Requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        msg = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        msg = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        msg = 'Time out error.';
                    } else if (exception === 'abort') {
                        msg = 'Ajax request aborted.';
                    } else {
                        msg = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    alert(msg);
                    setTimeout(location.reload.bind(location), 1000);
                },
                progressall: function (e, data) {
                    var progress = parseInt(data.loaded / data.total * 100, 10);
                    $('#progressFile').show();
                    $('#progressFile .progress-bar').css(
                            'width',
                            progress + '%'
                    );
                }
            }).on('fileuploadprocessalways', function (e, data) {
                var file = data.files[data.index];
                if (data.files.error && file.error) {
                    var msg = file.name+' - '+file.error
                    $('#alert-').attr('class', 'alert alert-danger').html(msg)
                }
            }).prop('disabled', !$.support.fileInput).parent().addClass($.support.fileInput ? undefined : 'disabled');
        });


    });

</script>
#{/set}